<a href="https://www.babelstreet.com/rosette">
<picture>
  <source media="(prefers-color-scheme: light)" srcset="https://charts.babelstreet.com/icon-dark.png">
  <source media="(prefers-color-scheme: dark)" srcset="https://charts.babelstreet.com/icon-light.png">
  <img alt="Babel Street Logo" width="48" height="48">
</picture>
</a>

# Analytics by Babel Street

[![PyPI version](https://badge.fury.io/py/rosette-api.svg)](https://badge.fury.io/py/rosette-api)
[![Python Versions](https://img.shields.io/pypi/pyversions/rosette-api.svg?color=dark%20green&label=Python%20Versions)](https://img.shields.io/pypi/pyversions/rosette-api.svg?color=dark%20green&label=Python%20Versions)

Our product is a full text processing pipeline from data preparation to extracting the most relevant information and 
analysis utilizing precise, focused AI that has built-in human understanding. Text Analytics provides foundational 
linguistic analysis for identifying languages and relating words. The result is enriched and normalized text for 
high-speed search and processing without translation.

Text Analytics extracts events and entities — people, organizations, and places — from unstructured text and adds the 
structure of associating those entities into events that deliver only the necessary information for near real-time 
decision making. Accompanying tools shorten the process of training AI models to recognize domain-specific events.

The product delivers a multitude of ways to sharpen and expand search results. Semantic similarity expands search 
beyond keywords to words with the same meaning, even in other languages. Sentiment analysis and topic extraction help 
filter results to what’s relevant.

## Analytics API Access
- Analytics Cloud [Sign Up](https://developer.babelstreet.com/signup)

## Quick Start

#### Installation
`pip install rosette_api`

#### Examples
View small example programs for each Analytics endpoint
in the [examples](https://github.com/rosette-api/python/tree/develop/examples) directory.

#### Documentation & Support
- [Binding API](https://rosette-api.github.io/python/)
- [Analytics Platform API](https://docs.babelstreet.com/API/en/index-en.html)
- [Binding Release Notes](https://github.com/rosette-api/python/wiki/Release-Notes)
- [Analytics Platform Release Notes](https://docs.babelstreet.com/Release/en/rosette-cloud.html)
- [Support](https://babelstreet.my.site.com/support/s/)
- [Binding License: Apache 2.0](https://github.com/rosette-api/python/blob/develop/LICENSE.txt)

## Binding Developer Information
If you are modifying the binding code, please refer to the [developer README](https://github.com/rosette-api/python/tree/develop/DEVELOPER.md) file.
